<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingLeft="16dp"
    android:paddingRight="16dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/posterView"
        style="@style/frescoStyle"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="H,328:142"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="8dp" />

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/game_collection_poster_mask"
        app:layout_constraintBottom_toBottomOf="@+id/posterView"
        app:layout_constraintEnd_toEndOf="@+id/posterView"
        app:layout_constraintStart_toStartOf="@+id/posterView"
        app:layout_constraintTop_toTopOf="@+id/posterView" />

    <TextView
        android:id="@+id/gameCollectionNameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="18dp"
        android:layout_marginRight="16dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="2"
        android:textColor="@color/white"
        android:textSize="@dimen/secondary_title_text_size"
        app:layout_constraintEnd_toStartOf="@+id/actionContainer"
        app:layout_constraintStart_toStartOf="@+id/posterView"
        app:layout_constraintTop_toTopOf="@+id/posterView"
        tools:text="刺激游戏大合集" />

    <com.google.android.flexbox.FlexboxLayout
        android:id="@+id/gameCollectionTagsContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="16dp"
        app:flexDirection="row"
        app:flexWrap="wrap"
        app:layout_constraintEnd_toStartOf="@+id/actionContainer"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/gameCollectionNameTv" />

    <TextView
        android:id="@+id/createTimeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginBottom="16dp"
        android:textColor="@color/white"
        android:textSize="@dimen/tag_text_size"
        app:layout_constraintBottom_toBottomOf="@+id/posterView"
        app:layout_constraintStart_toStartOf="@+id/posterView"
        tools:text="01-01" />

    <ImageView
        android:id="@+id/statusView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginBottom="16dp"
        app:layout_constraintBottom_toBottomOf="@+id/posterView"
        app:layout_constraintStart_toStartOf="@+id/posterView" />

    <LinearLayout
        android:id="@+id/actionContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="16dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent">

        <RelativeLayout
            android:id="@+id/publishBtn"
            android:layout_width="66dp"
            android:layout_height="26dp"
            android:background="@drawable/bg_my_game_collection_btn"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/ic_game_collection_publish"
                android:drawablePadding="4dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="投稿"
                android:textColor="@color/white"
                android:textSize="@dimen/secondary_size" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/editBtn"
            android:layout_width="66dp"
            android:layout_height="26dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/bg_my_game_collection_btn"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/ic_game_collection_edit"
                android:drawablePadding="4dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="编辑"
                android:textColor="@color/white"
                android:textSize="@dimen/secondary_size" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/deleteBtn"
            android:layout_width="66dp"
            android:layout_height="26dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/bg_my_game_collection_btn"
            android:gravity="center">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableLeft="@drawable/ic_game_collection_del"
                android:drawablePadding="4dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="删除"
                android:textColor="@color/white"
                android:textSize="@dimen/secondary_size" />
        </RelativeLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>